Subject: Re: bug#10387: CODE wishlist: search-prop.el

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Nov 2013 22:20:49 -0500

> I think Unix TTYs can only read those combinations that are
> characters.  MS-Windows is different.

Actually, POSIX ttys can transmit "any" key combo, including M-C-~, but
for those combos like C-~ which aren't part of ASCII, they need to use
some ad-hoc escape sequence.  By default xterm has no such ad-hoc
sequence for C-~, so it doesn't work.  You can add such an ad-hoc
sequence to xterm and then add the corresponding back-mapping in
lisp/xterm.el, after which C-~ should work just fine as well.

        Stefan